<?php
namespace Origo\Services;

use PDO;

class Database extends PDO {

  public $connection;

  public function __construct() {
    $database = '/app/database/origo.db';
    parent::__construct("sqlite:{$database}");
    $this->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    $this->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
  }

}
